# Contract Error Codes

the Cetus smart contract may return the following error codes:

<table><thead><tr><th width="101.5682373046875">Module</th><th width="95.15936279296875">Error Code</th><th>Description</th><th>Contract Methods</th></tr></thead><tbody><tr><td>lp_burn</td><td>1</td><td>The version of the contract has been deprecated</td><td>The vast majority of methods</td></tr><tr><td>lp_burn</td><td>2</td><td>The current liquidity position does not fully cover the entire price range</td><td>burn_lp_v2</td></tr><tr><td>lp_burn</td><td>3</td><td>The current liquidity position does not belong to this pool</td><td>burn_lp</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-burn-sdk/contract-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
